<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Filter
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

class Webtatic_Filter_Filter
{
    public static function filter($filter, $value)
    {
        $extender = Webtatic_Extender::get();
        if (!$extender->extensionPointExists('Webtatic_Filter')) {
            $extender->addExtensionPath('Webtatic_Filter', 'Webtatic/Filter');
        }
         
        $class = $extender->loadClass('Webtatic_Filter', $filter);
        $filter = new $class($config);
        return $filter->filter($value);
    }
}
?>