<?php
/**
 * This file is part of Webtatic Framework.
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.webtatic.com/license/new-bsd
 *
 * @category   Webtatic
 * @package    Webtatic_Form
 * @copyright  Copyright (c) 2007-2009 Andrew Thompson. (http://www.webtatic.com)
 * @license    http://www.webtatic.com/license/new-bsd     New BSD License
 * @version    $Id$
 */

class Webtatic_Form_Filter_StringTrim
{
    protected $_charList = null;
    
    public function getCharList()
    {
        return $this->_charList;
    }
    
    public function setCharList($value)
    {
        $this->_charList = $value;
    }
    
    public function filter($value)
    {
        if ($this->_charList == null) {
            return trim($value);
        } else {
            return trim($value, $this->_charList);
        }
    }
}
?>